upgrade.txt 1.1 KB
Newer Older
Petr Skoda's avatar
Petr Skoda committed
1
2
3
This files describes API changes in /enrol/* - plugins,
information provided here is intended especially for developers.

4

5
6
7
8
9
=== 2.4 ===

required changes in code:
* use role_get_name() or role_fix_names() if you need any role names, using role.name
  directly from database is not correct any more
10
11
* new restore support: ENROL_RESTORE_EXACT, ENROL_RESTORE_NOUSERS
  and ENROL_RESTORE_CLASS were removed, implement new restore_* plugin methods instead
12

13
other changes and new features:
14
* course enrolment manager now works with disabled plugins too
15
16
* new support for protected group membership linked to enrol instance
* new support for expiry notifications - see enrol_plugin::send_expiry_notifications() method
17

18

Petr Skoda's avatar
Petr Skoda committed
19
20
21
22
23
=== 2.2 ===

required changes in code:
* load_temp_role() is deprecated, use load_temp_course_role() instead, temp role not loaded
* remove_temp_role() is deprecated, use remove_temp_course_roles() instead
24
* 'user_unenrol_modified' event was renamed to 'user_enrol_modified'
25
26
27
28
29
30


=== 2.0 ===

required changes in code:
* enrolment plugins need to be rewritten to use new API - see inline phpdocs and official plugins